{% if site.data[site.component_data_dirname][site.component_data_navbar] %}
{% assign navbar = site.data[site.component_data_dirname][site.component_data_navbar] %}
{% else %}
{% assign navbar = site.data.base.navbar %}
{% endif %}
<div class="row bg-primary text-light">
  {% assign sections = navbar | where: "visible_on", "footer" %}
  {% assign columns = sections.size %}
  {% case columns %}
    {% when 1 %}
      {% assign column_width = 12 %}
    {% when 2 %}
      {% assign column_width = 6 %}
    {% when 3 %}
      {% assign column_width = 4 %}
    {% when 4 %}
      {% assign column_width = 3 %}
    {% else %}
      {% assign column_width = 1 %}
  {% endcase %}
  {% for section in sections -%}
  <div class="col-xs-12 col-sm-6 col-lg-{{ column_width }} my-3">
    <h6 class="fw-bold"><i class="{{ section.icon }}"></i> {{ section.name }}</h6>
    <ul class="nav flex-column">
      {% for item in section.menu -%}
      <li class="nav-item"><a href="{{ site.url }}{{ site.baseurl }}{{ item.link }}" class="link-light">{{ item.name }}</a></li>
      {% endfor %}
    </ul>
  </div>
  {% endfor %}
</div>
